# LineStyleThicknessModifiers(bpy_struct)

base class — `bpy_struct`

class `bpy.types.``LineStyleThicknessModifiers`(bpy_struct)

  Thickness modifiers for changing line thicknesss

  `new`(name, type)

    Add a thickness modifier to line style

    Parameters: | name (string, (never None)) – New name for the thickness modifier (not unique) type (enum in [‘ALONG_STROKE’, ‘CALLIGRAPHY’, ‘CREASE_ANGLE’, ‘CURVATURE_3D’, ‘DISTANCE_FROM_CAMERA’, ‘DISTANCE_FROM_OBJECT’, ‘MATERIAL’, ‘NOISE’, ‘TANGENT’]) – Thickness modifier type to add
    Returns: | Newly added thickness modifier
    Return type: | `LineStyleThicknessModifier`

  `remove`(modifier)

    Remove a thickness modifier from line style

    Parameters: | modifier (`LineStyleThicknessModifier`, (never None)) – Thickness modifier to remove

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`FreestyleLineStyle.thickness_modifiers` |